<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <link href="/static/gui.css" rel="stylesheet" id="gui-css">
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
</head>
<body>
 <div class="container main">
     <h1>Kodowanie Huffmana</h1>
              <div class="row">
                <div class="col-xs-12 w-100">
                  <nav>
                    <div class="nav nav-tabs nav-fill" id="nav-tab" role="tablist">
                      <a class="nav-item nav-link {% if akcja != 'zakoduj_plik' %}active{% endif %}" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="{% if akcja != 'zakoduj_plik' %}true{% else %}false{% endif %}">Zakoduj tekst</a>
                      <a class="nav-item nav-link {% if akcja == 'zakoduj_plik' %}active{% endif %}" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab" aria-controls="nav-profile" aria-selected="{% if akcja == 'zakoduj_plik' %}true{% else %}false{% endif %}">Zakoduj plik</a>
                    </div>
                  </nav>
                  <div class="tab-content py-3 px-3 px-sm-0" id="nav-tabContent">
                    <div class="tab-pane fade {% if akcja != 'zakoduj_plik' %}show active{% endif %}" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                        <div class="form-group">
                            <form action="/">
                                <label for="comment1">Wpisz tekst:</label>
                                <textarea class="form-control" rows="5" id="comment1" name="tekst">{{ odkodowany }}</textarea>
                                <button type="submit" class="btn btn-default" name="akcja" value="zakoduj">Zakoduj</button>
                            </form>
                            {% if akcja == 'zakoduj' %}
                            <label for="comment2">Zakodowany tekst (reprezentacja bitowa):</label>
                            <textarea class="form-control" rows="5" id="comment2">{{ zakodowany }}</textarea>
                            <label for="comment3">Zakodowany tekst (reprezentacja bajtowa):</label>
                            <textarea class="form-control" rows="5" id="comment3">{{ zakodowany_bajtowo }}</textarea>
                            <p>
                                Bajtów przed: {{ bajty_przed }}<br>
                                Bajtów po: {{ bajty_po }}<br>
                                Skuteczność kompresji: {{ skutecznosc }}%
                            </p>
                            <p><label>Liczba wystąpień poszczególnych znaków:</label>
                            <canvas id="barChart"></canvas></p>
                            <br><p><label>Reprezentacja bitowa poszczególnych znaków:</label></p>
                            <div class="row">
                            {% for key, value in reprezentacja.items %}
                            <div class="col-md-3">'{{ key }}': {{ value }}</div>
                            {% endfor %}
                            </div>
                            {% endif %}
                        </div>
                    </div>
                    <div class="tab-pane fade {% if akcja == 'zakoduj_plik' %}show active{% endif %}" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                        <form action="/" method="post" enctype="multipart/form-data">
                                {% csrf_token %}
                                <label for="comment6">Wpisz tekst:</label>
                                <p><input type="file" id="comment6" name="file"></p>
                                <button type="submit" class="btn btn-default" name="akcja" value="zakoduj_plik">Zakoduj</button>
                                {% if akcja == 'zakoduj_plik' %}
                                <p>
                                    Bajtów przed: {{ bajty_przed }}<br>
                                    {% for pomiar in pomiary %}
                                        <p><b>Opcja z kluczem wielkości bajtów: {{ pomiar.klucz }}:</b><br>
                                                Bajtów po (bez słownika): {{ pomiar.bajty_po }}<br>
                                                Skuteczność kompresji: {{ pomiar.skutecznosc }}%<br>
                                                Wielkość słownika: {{ pomiar.slownik }}<br>
                                                Bajtów po (ze słownikiem): {{ pomiar.bajty_po_ze_slownikiem }}<br>
                                                Skuteczność kompresji (uwzględniając wielkość słownika): {{ pomiar.skutecznosc_prawdziwa }}</p>
                                    {% endfor %}
                                </p>
                                {% endif %}
                        </form>
                    </div>
                  </div>

                </div>
              </div>
        </div>
      </div>
</div>
<p class="mt-5 mb-3 text-muted text-center">Uniwersytet Technologiczno-Przyrodniczy 2020</p>
</body>
</html>
<script src="/static/mdb.js"></script>
<script>
//bar
var ctxB = document.getElementById("barChart").getContext('2d');
var myBarChart = new Chart(ctxB, {
type: 'bar',
data: {
labels: {% autoescape off %}{{ znaki }}{% endautoescape %},
datasets: [{
label: '# wagi poszczególnych znaków',
data: {{ wystapienia }},
backgroundColor: [
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)',
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)',
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)',
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)',
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)',
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)',
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)',
'rgba(255, 99, 132, 0.2)',
'rgba(54, 162, 235, 0.2)',
'rgba(255, 206, 86, 0.2)',
'rgba(75, 192, 192, 0.2)',
'rgba(153, 102, 255, 0.2)',
'rgba(255, 159, 64, 0.2)'
],
borderColor: [
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)',
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)',
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)',
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)',
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)',
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)',
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)',
'rgba(255,99,132,1)',
'rgba(54, 162, 235, 1)',
'rgba(255, 206, 86, 1)',
'rgba(75, 192, 192, 1)',
'rgba(153, 102, 255, 1)',
'rgba(255, 159, 64, 1)'
],
borderWidth: 1
}]
},
options: {
scales: {
yAxes: [{
ticks: {
beginAtZero: true
}
}]
}
}
});</script>